## TREEJS

### API
Connect treejs middleware to yout redux definition
```
applyMiddleware(
	thunk,
	FetchEndpoint(setting),
),
```
As setting value use object
```
{
	BASE_ENDPOINT_URL: string, // base of endpoint URL
}
```


```
npx typedoc --out ./docs/documentation modules/treejs-components/src/Button/index.tsx --mode file --tsconfig ./tsconfig.json --excludeExternals --excludePrivate --excludeProtected


npx typedoc --json output.json modules/treejs-*/src/**/*.ts* --mode file --tsconfig ./tsconfig.json --excludeExternals --excludePrivate --excludeProtected --categorizeByGroup
```