import { IAction } from '@romanjaros/treejs-types/redux/actions';

import { IAuthOption } from '../types';

import { AuthActions } from '../constants';


export const setAuthenticated = <P>(payload: IAuthOption<P>): IAction<IAuthOption<P>> => ({
	type: AuthActions.SET_AUTHENTICATE,
	payload: payload
});
