export const getComputedStyleInt = (ref: Element, attribute: string): number => {
	const value = parseInt(window.getComputedStyle(ref)[attribute as any]);
	if (isNaN(value)) {
		return 0;
	}
	return value;
};
